Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 566430 - app-vim/nerdcommenter: wrong license
Summary: app-vim/nerdcommenter: wrong license
Status: VERIFIED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Vim Maintainers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-11-21 22:58 UTC by Jan Chren (rindeal)
Modified: 2016-03-13 00:21 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Chren (rindeal) 2015-11-21 22:58:08 UTC
It's WTFPL-2 not public-domain.

https://github.com/scrooloose/nerdcommenter/blob/master/plugin/NERD_commenter.vim#L7-L11
Comment 1 Jonas Stein gentoo-dev 2015-11-22 01:32:47 UTC
Thank you for the report. Indeed this license is different from public-domain:

"Everyone is permitted to copy and distribute verbatim or modified
 copies of this license document, and changing it is allowed as long
 as the name is changed."

The best solution for users and distributions would be an approved open source license:
http://opensource.org/licenses/alphabetical

Bug report upstream:
https://github.com/scrooloose/nerdcommenter/issues/217
Comment 2 Jan Chren (rindeal) 2015-11-22 11:33:54 UTC
If you think about it this way, then

$ eix --only-names --license "WTFPL-2" | wc -l

gives me 28, from which 3 are from app-vim category.
Comment 3 Tim Harder gentoo-dev 2016-03-13 00:08:59 UTC
Fixed in the tree.